> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Unmanaged Access Methods

> Lists all unmanaged access methods (where is_managed = false), usually filtered by Access Grant.



## OpenAPI

````yaml /openapi.json post /access_methods/unmanaged/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_methods/unmanaged/list:
    post:
      tags: []
      summary: List Unmanaged Access Methods
      description: >-
        Lists all unmanaged access methods (where is_managed = false), usually
        filtered by Access Grant.
      operationId: accessMethodsUnmanagedListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                access_grant_id:
                  description: ID of Access Grant to list unmanaged access methods for.
                  format: uuid
                  type: string
                acs_entrance_id:
                  description: >-
                    ID of the entrance for which you want to retrieve all
                    unmanaged access methods.
                  format: uuid
                  type: string
                device_id:
                  description: >-
                    ID of the device for which you want to retrieve all
                    unmanaged access methods.
                  format: uuid
                  type: string
                space_id:
                  description: >-
                    ID of the space for which you want to retrieve all unmanaged
                    access methods.
                  format: uuid
                  type: string
              required:
                - access_grant_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  access_methods:
                    items:
                      description: >-
                        Represents an unmanaged access method. Unmanaged access
                        methods do not have client sessions, instant keys,
                        customization profiles, or keys.
                      properties:
                        access_method_id:
                          description: ID of the access method.
                          format: uuid
                          type: string
                        code:
                          description: The actual PIN code for code access methods.
                          nullable: true
                          type: string
                        created_at:
                          description: >-
                            Date and time at which the access method was
                            created.
                          format: date-time
                          type: string
                        display_name:
                          description: Display name of the access method.
                          type: string
                        is_assignment_required:
                          description: >-
                            Indicates whether an existing card credential must
                            be assigned to this access method before it can be
                            issued. Only applies to card-mode access methods on
                            systems that support credential assignment.
                          type: boolean
                        is_encoding_required:
                          description: >-
                            Indicates whether encoding with an card encoder is
                            required to issue or reissue the plastic card
                            associated with the access method.
                          type: boolean
                        is_issued:
                          description: Indicates whether the access method has been issued.
                          type: boolean
                        is_ready_for_assignment:
                          description: >-
                            Indicates whether the access method is ready for
                            card assignment. This is true when the access method
                            is in card mode, has not yet been issued, and the
                            system supports credential assignment.
                          type: boolean
                        is_ready_for_encoding:
                          description: >-
                            Indicates whether the access method is ready to be
                            encoded. This is true when the credential has been
                            created and the card has not yet been issued.
                          type: boolean
                        issued_at:
                          description: Date and time at which the access method was issued.
                          format: date-time
                          nullable: true
                          type: string
                        mode:
                          description: >-
                            Access method mode. Supported values: `code`,
                            `card`, `mobile_key`, `cloud_key`.
                          enum:
                            - code
                            - card
                            - mobile_key
                            - cloud_key
                          type: string
                        pending_mutations:
                          description: >-
                            Pending mutations for the [access
                            method](https://docs.seam.co/use-cases/granting-access/creating-an-access-grant).
                            Indicates operations that are in progress.
                          items:
                            discriminator:
                              propertyName: mutation_code
                            oneOf:
                              - description: >-
                                  Seam is in the process of provisioning access
                                  for this access method on new devices.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which the mutation was
                                      created.
                                    format: date-time
                                    type: string
                                  from:
                                    description: Previous device configuration.
                                    properties:
                                      device_ids:
                                        description: >-
                                          Previous device IDs where access was
                                          provisioned.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                  message:
                                    description: Detailed description of the mutation.
                                    type: string
                                  mutation_code:
                                    description: >-
                                      Mutation code to indicate that Seam is in
                                      the process of provisioning access for
                                      this access method on new devices.
                                    enum:
                                      - provisioning_access
                                    type: string
                                  to:
                                    description: New device configuration.
                                    properties:
                                      device_ids:
                                        description: >-
                                          New device IDs where access is being
                                          provisioned.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                required:
                                  - created_at
                                  - message
                                  - mutation_code
                                  - from
                                  - to
                                type: object
                              - description: >-
                                  Seam is in the process of revoking access for
                                  this access method from devices.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which the mutation was
                                      created.
                                    format: date-time
                                    type: string
                                  from:
                                    description: Previous device configuration.
                                    properties:
                                      device_ids:
                                        description: >-
                                          Previous device IDs where access
                                          existed.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                  message:
                                    description: Detailed description of the mutation.
                                    type: string
                                  mutation_code:
                                    description: >-
                                      Mutation code to indicate that Seam is in
                                      the process of revoking access for this
                                      access method from devices.
                                    enum:
                                      - revoking_access
                                    type: string
                                  to:
                                    description: New device configuration.
                                    properties:
                                      device_ids:
                                        description: >-
                                          New device IDs where access should
                                          remain.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                required:
                                  - created_at
                                  - message
                                  - mutation_code
                                  - from
                                  - to
                                type: object
                              - description: >-
                                  Seam is in the process of updating the access
                                  times for this access method.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which the mutation was
                                      created.
                                    format: date-time
                                    type: string
                                  from:
                                    description: Previous access time configuration.
                                    properties:
                                      ends_at:
                                        description: Previous end time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                      starts_at:
                                        description: Previous start time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                    required:
                                      - starts_at
                                      - ends_at
                                    type: object
                                  message:
                                    description: Detailed description of the mutation.
                                    type: string
                                  mutation_code:
                                    description: >-
                                      Mutation code to indicate that Seam is in
                                      the process of updating the access times
                                      for this access method.
                                    enum:
                                      - updating_access_times
                                    type: string
                                  to:
                                    description: New access time configuration.
                                    properties:
                                      ends_at:
                                        description: New end time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                      starts_at:
                                        description: New start time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                    required:
                                      - starts_at
                                      - ends_at
                                    type: object
                                required:
                                  - created_at
                                  - message
                                  - mutation_code
                                  - from
                                  - to
                                type: object
                          type: array
                        warnings:
                          description: >-
                            Warnings associated with the [access
                            method](https://docs.seam.co/use-cases/granting-access/creating-an-access-grant).
                          items:
                            description: >-
                              Warning associated with the [access
                              method](https://docs.seam.co/use-cases/granting-access/creating-an-access-grant).
                            discriminator:
                              propertyName: warning_code
                            oneOf:
                              - description: >-
                                  Indicates that the [access
                                  method](https://docs.seam.co/use-cases/granting-access/creating-an-access-grant)
                                  is being deleted.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - being_deleted
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                              - description: >-
                                  Indicates that the access times for this
                                  [access
                                  method](https://docs.seam.co/use-cases/granting-access/creating-an-access-grant)
                                  are being updated.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - updating_access_times
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                              - description: >-
                                  Indicates that all attempts to create an
                                  access code on this device before the start
                                  time failed and a backup access code was used
                                  to ensure access was provided in time.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  original_access_method_id:
                                    description: >-
                                      ID of the original access method from
                                      which this backup access method was split,
                                      if applicable.
                                    format: uuid
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - pulled_backup_access_code
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                          type: array
                        workspace_id:
                          description: >-
                            ID of the Seam workspace associated with the access
                            method.
                          format: uuid
                          type: string
                      required:
                        - workspace_id
                        - access_method_id
                        - display_name
                        - mode
                        - created_at
                        - issued_at
                        - is_issued
                        - warnings
                        - pending_mutations
                      type: object
                      x-draft: Early access.
                      x-route-path: /access_methods/unmanaged
                    type: array
                  ok:
                    type: boolean
                required:
                  - access_methods
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````